Delete workflow definition
DELETE
/api/admin/workflow/definitions/{id}
const url = 'https://example.com/api/admin/workflow/definitions/example';const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://example.com/api/admin/workflow/definitions/example \ --header 'Authorization: Bearer <token>'Deletes a workflow definition
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
Definition ID
string
Responses
Section titled “Responses”Definition deleted successfully
Media typeapplication/json
object
success
required
boolean
message
required
string
Examplegenerated
{ "success": true, "message": "example"}Definition not found
Media typeapplication/json
object
error
required
Indicates an error occurred
boolean
message
required
Error message describing what went wrong
string
Example
{ "error": true, "message": "Item not found"}Internal server error
Media typeapplication/json
object
error
required
Indicates an error occurred
boolean
message
required
Error message describing what went wrong
string
Example
{ "error": true, "message": "Item not found"}